Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.scheduling.quartz
Class ResourceJobSchedulingDataProcessor

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.quartz.xml.JobSchedulingDataProcessor
              org.springframework.scheduling.quartz.ResourceJobSchedulingDataProcessor

All Implemented Interfaces:
  ResourceLoaderAware, ContentHandler, DTDHandler, EntityResolver, ErrorHandler

    public class ResourceJobSchedulingDataProcessor

extends JobSchedulingDataProcessor
implements ResourceLoaderAware

Subclass of Quartz' JobSchedulingDataProcessor that considers given filenames as Spring resource locations.

Since:
  1.1
Author:
  Juergen Hoeller
See Also:
  `ResourceLoader`

Nested Class Summary

Nested classes/interfaces inherited from class org.quartz.xml.JobSchedulingDataProcessor
`JobSchedulingDataProcessor.CalendarRuleSet, JobSchedulingDataProcessor.DateConverter, JobSchedulingDataProcessor.MisfireInstructionRule, JobSchedulingDataProcessor.SimpleConverterRule, JobSchedulingDataProcessor.TimeZoneConverter, JobSchedulingDataProcessor.TriggerRuleSet`

Field Summary

Fields inherited from class org.quartz.xml.JobSchedulingDataProcessor
`calsToSchedule, digester, DTD_DATE_FORMAT, jobsToSchedule, listenersToSchedule, QUARTZ_DTD, QUARTZ_NS, QUARTZ_PUBLIC_ID, QUARTZ_SCHEMA, QUARTZ_SYSTEM_ID, QUARTZ_SYSTEM_ID_DIR_PROP, QUARTZ_SYSTEM_ID_PREFIX, QUARTZ_XML_FILE_NAME, QUARTZ_XSD, scheduledJobs, TAG_ALLOWS_TRANSIENT_DATA, TAG_BASE_CALENDAR, TAG_CALENDAR, TAG_CALENDAR_NAME, TAG_CLASS_NAME, TAG_CRON, TAG_CRON_EXPRESSION, TAG_DESCRIPTION, TAG_DURABILITY, TAG_END_TIME, TAG_ENTRY, TAG_GROUP, TAG_JOB, TAG_JOB_CLASS, TAG_JOB_DATA_MAP, TAG_JOB_DETAIL, TAG_JOB_GROUP, TAG_JOB_LISTENER, TAG_JOB_LISTENER_REF, TAG_JOB_NAME, TAG_KEY, TAG_MISFIRE_INSTRUCTION, TAG_NAME, TAG_OVERWRITE_EXISTING_JOBS, TAG_QUARTZ, TAG_RECOVER, TAG_REPEAT_COUNT, TAG_REPEAT_INTERVAL, TAG_SIMPLE, TAG_START_TIME, TAG_TIME_ZONE, TAG_TRIGGER, TAG_VALUE, TAG_VOLATILITY, validationExceptions, XSD_DATE_FORMAT`

Constructor Summary
`ResourceJobSchedulingDataProcessor()`

Method Summary
`protected InputStream` | `getInputStream(String fileName)`
`void` | `setResourceLoader(ResourceLoader resourceLoader)` Set the ResourceLoader that this object runs in.

Methods inherited from class org.quartz.xml.JobSchedulingDataProcessor
`addCalendar, addCalendarToSchedule, addCustomDigesterRules, addDefaultDigesterRules, addJobToSchedule, addListenerToSchedule, addScheduledJob, addValidationException, clearValidationExceptions, error, fatalError, getLog, getOverWriteExistingJobs, getScheduledJob, getScheduledJobs, getSystemIdForFileName, getURL, getUseContextClassLoader, initDigester, initSchemaValidation, maybeThrowValidationException, processFile, processFile, processFile, processFileAndScheduleJobs, processFileAndScheduleJobs, processFileAndScheduleJobs, processStream, resolveEntity, scheduleJob, scheduleJob, scheduleJobs, setOverWriteExistingJobs, setUseContextClassLoader, warning`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, notationDecl, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping, unparsedEntityDecl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceJobSchedulingDataProcessor

    public ResourceJobSchedulingDataProcessor()

Method Detail

### setResourceLoader

    public void setResourceLoader(ResourceLoader resourceLoader)

  Description copied from interface: `ResourceLoaderAware`
  Set the ResourceLoader that this object runs in.

  This might be a ResourcePatternResolver, which can be checked through `instanceof ResourcePatternResolver`. See also the `ResourcePatternUtils.getResourcePatternResolver` method.

  Invoked after population of normal bean properties but before an init callback like InitializingBean's `afterPropertiesSet` or a custom init-method. Invoked before ApplicationContextAware's `setApplicationContext`.

  Specified by:
    `setResourceLoader` in interface `ResourceLoaderAware`
  Parameters:
    `resourceLoader` - ResourceLoader object to be used by this object
  See Also:
    `ResourcePatternResolver`, `ResourcePatternUtils.getResourcePatternResolver(org.springframework.core.io.ResourceLoader)`

### getInputStream

    protected InputStream getInputStream(String fileName)

  Overrides:
    `getInputStream` in class `JobSchedulingDataProcessor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.